aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorDan Albert <danalbert@google.com>2016-01-11 19:19:09 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2016-01-11 19:19:09 +0000
commit721aa75ac6c207e0a744d7aabd9c2e3e0f57f70b (patch)
tree55eb6b5065a5aea3a4239518ffd70af9e5dcfe29 /tests
parent6f0f7c70ba69143e9681aea4de54374492e466dd (diff)
parent6e99fb9dbdbcc5bac88327ed7b9297346eadc6da (diff)
downloadndk-721aa75ac6c207e0a744d7aabd9c2e3e0f57f70b.tar.gz
Merge "Improved 'build.sh' of the 'prctl' build test"
Diffstat (limited to 'tests')
-rwxr-xr-xtests/build/issue64679-prctl/build.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/tests/build/issue64679-prctl/build.sh b/tests/build/issue64679-prctl/build.sh
index 58ba04493..5619344ea 100755
--- a/tests/build/issue64679-prctl/build.sh
+++ b/tests/build/issue64679-prctl/build.sh
@@ -1,3 +1,4 @@
+#!/bin/sh
# Check if some platform headers can be included alone
# See b.android.com/64679 for one of them
#
@@ -16,6 +17,9 @@ for OPT; do
--jobs=*)
JOBS=${OPT##--jobs=}
;;
+ APP_ABI=*)
+ eval readonly "$OPT"
+ ;;
esac
done
@@ -26,8 +30,16 @@ INVALID_HEADERS_FOR_64BIT="time64.h sys/user.h" # ToDo: remove sys/user.h later
# --std=c++-0x or higher, so skip it here.
INTERNAL_HEADERS="$INTERNAL_HEADERS uchar.h"
-for API_LEVEL in $API_LEVELS; do
- for ARCH in $DEFAULT_ARCHS; do
+if [ -n "$APP_ABI" ]; then
+ readonly APP_ARCH="$(convert_abi_to_arch "$APP_ABI")"
+ enabled_test_arch () { [ "$APP_ARCH" == "$1" ]; }
+else
+ enabled_test_arch () { true; }
+fi
+
+for ARCH in $DEFAULT_ARCHS; do
+ enabled_test_arch "$ARCH" || continue
+ for API_LEVEL in $API_LEVELS; do
if [ ! -d $ANDROID_NDK_ROOT/platforms/android-$API_LEVEL/arch-$ARCH ]; then
continue
fi